DDCLIENT(8)

NAME
ddclient - Update IP addresses at dynamic DNS services

SYNOPSIS

ddclient {-help}

ddclient [-daemon interval] [-proxy host] [-server host] [-protocol type] [-file configfile] [-cache cachefile] [-pid pidfile] [-use mechanism] {-if interface | -ip ipaddress | -web {provider | url} | -fw firewall | -cmd command}

DESCRIPTION

A perl based client to update your dynamic IP address at DynDNS.com (or other dynamic DNS services such as Hammernode, Zoneedit or EasyDNS), thus allowing you and others to use a fixed hostname (myhost.dyndns.org) to access your machine. This client supports both the dynamic and (near) static services, MX setting, and alternative host. It caches the address, and only attempts the update if the address actually changes.

For usage information please run ddclient -help until this manpage is finished.